Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tomcat.util.buf
Interface ByteChunk.ByteInputChannel

All Known Implementing Classes:
  InputBuffer

Enclosing interface:
  ByteChunk

public static interface ByteChunk.ByteInputChannel

Method Summary
`int` | `realReadBytes(byte[] cbuf, int off, int len)` Read new bytes ( usually the internal conversion buffer ).

Method Detail

### realReadBytes

    public int realReadBytes(byte[] cbuf,
                             int off,
                             int len)
                      throws java.io.IOException

  Read new bytes ( usually the internal conversion buffer ). The implementation is allowed to ignore the parameters, and mutate the chunk if it wishes to implement its own buffering.

  Throws:
    `java.io.IOException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2003 Apache Software Foundation. All Rights Reserved.